<div class="wrapper">
  <app-preloader *ngIf="preloader"></app-preloader>
  <app-header></app-header>
  <app-sidebar></app-sidebar>

  <div class="content-wrapper">
    <app-content-header [headers]="headers"></app-content-header>

    <section class="content">
      <div class="container-fluid">
        <div class="row justify-content-center">
          <div class="col-sm-12 col-md-6">
            <div class="card">
              <div class="card-header">
                <div class="text-left">
                  <h3 class="card-title">Confirmacion</h3>
                </div>
                <div *ngIf="!confirmacion" class="text-right">
                  <button type="button" (click)="onSend()" class="btn btn-secondary"><i class="fas fa-paper-plane"></i> Enviar codigo</button>
                </div>
              </div>
              <div class="card-body">
                <div class="container-fluid">
                  <form role="form" [formGroup]="formConfirmacion" autocomplete="off">
                    <div class="form-group">
                      <label for="codigo">Codigo</label>
                      <input type="text" formControlName="codigo" placeholder="Codigo" class="form-control" (keyup)="limpiarErrores('codigo')" [ngClass]="{'is-valid': formConfirmacion.controls['codigo'].valid, 'is-invalid': hasError('codigo')}" >
                      <div *ngIf="hasError('codigo')" class="mb-3">
                        <span *ngFor="let errorCodigo of errores.codigo" class="text-danger">{{errorCodigo}}</span>
                      </div>
                    </div>
                    <button type="submit" (click)="onConfirmar()" [disabled]="loading" class="btn btn-primary"><i class="fas" [ngClass]="{'fa-share-square': !loading, 'fa-spinner fa-pulse': loading}"></i> Confirmar</button>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>

  <app-footer></app-footer>
</div>
